Skip to main content
GET
/
groups
/
{guid}
/
members
List
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/groups/{guid}/members \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "superhero2",
      "name": "Captain America",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/captainamerica.png",
      "status": "offline",
      "role": "default",
      "scope": "participant",
      "joinedAt": 1638360106,
      "createdAt": 1629869270,
      "updatedAt": 1630308676,
      "conversationId": "superhero2_user_superhero4"
    },
    {
      "uid": "superhero3",
      "name": "Captain America",
      "link": "https://data-us.cometchat.io/assets",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/captainamerica.png",
      "metadata": {
        "contactNumber": "0123456789"
      },
      "status": "offline",
      "role": "default",
      "scope": "participant",
      "joinedAt": 1638360106,
      "createdAt": 1629869270,
      "updatedAt": 1638351060,
      "conversationId": "superhero3_user_superhero4"
    },
    {
      "uid": "superhero5",
      "name": "Cyclops",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/cyclops.png",
      "status": "offline",
      "role": "default",
      "scope": "moderator",
      "joinedAt": 1638360106,
      "createdAt": 1629869270,
      "conversationId": "superhero4_user_superhero5"
    },
    {
      "uid": "superhero4",
      "name": "Wolverine",
      "avatar": "https://data-us.cometchat.io/assets/images/avatars/wolverine.png",
      "status": "offline",
      "role": "default",
      "scope": "admin",
      "joinedAt": 1638359534,
      "createdAt": 1629869270
    }
  ],
  "meta": {
    "pagination": {
      "total": 0,
      "count": 5,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 1
    }
  },
  "cursor": {
    "updatedAt": 1638354799,
    "affix": "prepend"
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

guid
string
required

A GUID of a group.

Query Parameters

perPage
integer
default:100

Number of users to be fetched in a request. The default value is 100 and the maximum value is 1000.

status
enum<string>

Group members list can be fetched depending on the user status. (available,offline).

Available options:
available,
offline
page
integer
default:1

Page Number.

scopes
any[]

Fetches group members based on multiple scope.

Response

200 - application/json

Create Group Members

data
object